// Hagop M. Harfoushian, AUBnet: hmh51, aubID: 201201447
// the fraction data type with basic operations like plus, times, print, less than, getNum, getDen, toString.
public class Fraction {
	private int num;
	private int den;

	public Fraction(int n, int d){
		num=n;
		den=d;
	}
	public Fraction(int v){
		num=v;
		den=1;
	}
	public Fraction times(Fraction f){
		int n=num; // so that the original fraction is not changed
		int d=den;
		n*=f.num;
		d*=f.den;
		return new Fraction(n, d);
	}
	public Fraction plus(Fraction f){
		int a=num;
		int c=den;
		int b=f.num;
		int d=f.den;
		return new Fraction(((a*d)+(b*c)),(c*d)); // common denominator
	}
	public boolean equals(Fraction f){
		if((f.num/f.den)==(num/den)) return true;
		return false;
	}
	public boolean lessThan(Fraction f){
		if((num/den)<(f.num/f.den)) return true;
		return false;
	}
	public String toString(){
		String s=(num+"/"+den);
		return s;
	}
	public int getNum(){
		return num;
	}
	public int getDen(){
		return den;
	}
}
