// Hagop M. Harfoushian, AUBnet: hmh51, aubID: 201201447
// Card data type with basic operations like rank, suite, stronger, toString.
public class Card {
	private String rank;
	private String suit;

	public Card(String r, String s){
		rank=r;
		suit=s;
	}
	public String rank(){
		return rank;
	}
	public String suite(){
		return suit;
	}
	public boolean isOfSuit(String s){
		if(s.equals(suit)) return true;
		return false;
	}
	public boolean stronger(Card c){
		String[] r={"2","3","4","5","6","7","8","9","10","J","Q","Q","K"};
		String[] s={"Clubs","Diamonds","Hearts","Spades"};
		int indxOfGivenRank=0;
		int indxOfCardRank=0;
		int suitOfOurCard=0;
		int suitOfGivenCard=0;
		for(int i=0; i<13; i++)
			if(r[i].equals(c.rank)) indxOfGivenRank=i; // finding the rank of the given card in terms of integer where 2 is 0 and K is 12
		for(int i=0; i<13; i++)
			if(r[i].equals(rank)) indxOfCardRank=i; // the same, of the card in hand.
		for(int i=0; i<4; i++)
			if(s[i].equals(c.suit))suitOfGivenCard=i; // finding the suite of the given card in terms of integers.(indecies of array s);
		for(int i=0; i<4; i++)
			if(s[i].equals(suit)) suitOfOurCard=i;
		
		if(indxOfGivenRank>indxOfCardRank) return false;
		else if(indxOfGivenRank==indxOfCardRank && suitOfGivenCard>suitOfOurCard) return false;
		else return true;
	}
	public String toString(){
		String suitInitial="";
		if (suit=="Clubs") suitInitial="S"; // getting the suite initials.
		if (suit=="Diamonds") suitInitial="D";
		if (suit=="Hearts") suitInitial="H";
		if (suit=="Spades") suitInitial="S";
		return rank + suitInitial;
	}
}
